# -*- encoding: utf-8 -*-

from django.urls import path, include
from rest_framework.authtoken.views import obtain_auth_token

from .views import (
    Subscription_ListView,
    Subscription_DetailView,
    SubscriptionChannel_ListView,
    SubscriptionChannel_DetailView,
    TrackedContent_ListView,
    TrackedContent_DetailView
)


urlpatterns = [
    path("api-auth/", include("rest_framework.urls", namespace="rest_framework")),
    path("api-token-auth/", obtain_auth_token),

    path("subscription/", include([
        path("channel/", include([
            path("", SubscriptionChannel_ListView.as_view(), name="subscriptionchannel"),
            path("<str:pk>/", SubscriptionChannel_DetailView.as_view(), name="subscriptionchannel-detail")
        ])),
        path("", Subscription_ListView.as_view(), name="subscription"),
        path("<str:pk>/", Subscription_DetailView.as_view(), name="subscription-detail")
    ])),

    path("tracked/", include([
        path("", TrackedContent_ListView.as_view(), name="tracked"),
        path("<str:pk>/", TrackedContent_DetailView.as_view(), name="tracked-detail")
    ]))
]