# Generated by Django 5.0.1 on 2024-02-11 21:59

import django.db.models.deletion
import django.utils.timezone
import uuid
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('home', '0001_initial'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='subscription',
            name='channels',
        ),
        migrations.CreateModel(
            name='SubscriptionChannel',
            fields=[
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('id', models.PositiveBigIntegerField(help_text='Identifier of the channel, provided by Discord.', verbose_name='id')),
                ('creation_datetime', models.DateTimeField(default=django.utils.timezone.now, editable=False, help_text='when this instance was created.', verbose_name='creation datetime')),
                ('subscription', models.ForeignKey(help_text='The subscription of this instance.', on_delete=django.db.models.deletion.CASCADE, to='home.subscription', verbose_name='subscription')),
            ],
            options={
                'verbose_name': 'subscription channel',
                'verbose_name_plural': 'subscription channels',
                'get_latest_by': '-creation_date',
            },
        ),
        migrations.DeleteModel(
            name='DiscordChannel',
        ),
        migrations.AddConstraint(
            model_name='subscriptionchannel',
            constraint=models.UniqueConstraint(fields=('id', 'subscription'), name='unique id & sub pair'),
        ),
    ]
